# Documentation de GPS Correlate : version ligne de commande

## Options des lignes de commande

Usage basique:

    gpscorrelate [OPTIONS] -g données_gps.gpx photo1.jpg photo2.jpg ...

Les options sont :

--gps or -g données_gps.gpx | Indique le fichier contenant les données GPS
--timeadd or -z +/-XX:[XX] | Indique le fuseau horaire des photos. Par exemple +1:00 pour l’heure normale d’Europe centrale (CET : Paris, Bruxelles, Genève…) et +2:00 pour l’heure d’été d’Europe centrale (CEST). Il est possible de le spécifier sous la forme "1", "+1", "1:00" ou "+1:00".
--no-interpolation or -i | Désactiver l’interpolation entre les points. Au lieu d’interpoler, le programme « arrondira » au point le plus proche. Si la photo est exactement à mi-distance entre deux points, il choisira le premier.
--verbose or -v | Mode verbeux : affiche plus d’informations à l’écran.
--no-write or -n | Ne pas écrire les balises EXIF GPS dans le fichier. Utile avec-v pour faire un essai.
--datum or -d "datum" | Spécifie le « datum » à inscrire dans les tags GPS EXIF. Par défaut c’est le WGS-84. En fait le format GPX n’est pas sensé contenir autre-chose que du WGS-84, donc n’utilisez cette option qu’en toute connaissance de cause.
--max-dist or -m time | Indique l’écart de temps maximum entre un point GPS et une photo pour établir une corrélation. Exprimé en secondes.
--show or -s | Montre les données GPS contenues dans les tags EXIF des photos indiquées puis quitte.
--machine or -o | Montre les données GPS contenues dans les tags EXIF des photos indiquées puis quitte. Cette option diffère de --show en ceci que la sortie se fera dans un format machine : le CSV. Les champs sont : "monfichier.jpg","2005:04:23 19:31:00",Latitude,Longitude,Élévation La première valeur est le nom du fichier tel que passé en paramètre, le second est l’horodatage, et les trois derniers des valeurs signées en virgule flottante.
--remove or -r | Retire les tags GPS EXIF des fichiers spécifiés et quitte. Notez que ceci supprime uniquement les tags GPS que le programme peut écrire et non tous les tags GPS EXIF possibles. Tous les autres tags sont laissés inchangés.
--ignore-tracksegs or -t | Ignore les balises tracksegment dans le fichier GPX originel et interpole entre deux points de deux segments différents. En général les segments de pistes correspondent à des sessions de journalisation GPS : l’intervalle entre deux segments correspond à une période pendant laquelle le GPS n’est pas allumé ou ne reçoit pas de signal.
--fix-datestamps or -f | Avant la version 1.5.2 deux bugs entraînaient l’écriture de fausses valeur pour les tags GPSDateStamp (date) et GPSTimeStamp tag (horaire). Cette option vérifiera chaque fichier et le corrigera éventuellement. Utilisez --no-write pour empêcher l’écriture (simple vérification). Cette option implique également --no-mtime. Vous aurez aussi besoin d’utiliser --timeadd pour préciser la différence entre l’heure UTC et l’heure locale des photos indiquées.
--degmins | Avant la version 1.5.3, Longitude et Latitude étaient écrits en DD MM.MM. Depuis la 1.5.3, le format par défaut est DD MM SS.SS, ce qui est plus précis. Utilisez cette option pour forcer l’ancien format.
--photooffset or -O seconds | Ce paramètre indique le décalage photo, c’est-à-dire un nombre de secondes à ajouter à l’horodatage de la photo. C’est la différence entre le temps GPS et celui de la photo. Voir Concepts de corrélation GPS pour plus de détail sur son utilisation.

Exemples d’utilisation :

Dans un répertoire remplis de photos :

    gpscorrelate -g Test.gpx -z +8 *.jpg

Montrer ou supprimer les tags GPS :

    gpscorrelate --show *.jpg
    gpscorrelate --remove *.jpg

Et c’est tout… Il n’y a rien à dire de plus sur ce programme qui n’ait été dit dans le document Concepts de corrélation GPS.

Retour au sommaire